import { AdminShopContact } from "./admin.shopcontact.service";
import { UpdateShopContactDto } from "./shopcontact.dto";
export declare class AdminShopContactController {
    private readonly AdminShopContact;
    constructor(AdminShopContact: AdminShopContact);
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/shopcontact/shopcontact.entity").ShopContact;
    }>;
    update(id: string, updateShopContactDto: UpdateShopContactDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
